org.kie.internal.task.query

## Interface TaskSummaryQueryBuilder

- All Superinterfaces:
    ExtendedParametrizedQueryBuilder<TaskSummaryQueryBuilder,org.kie.api.task.model.TaskSummary>, ParametrizedQueryBuilder<TaskSummaryQueryBuilder>, ProcessIdQueryBuilder<TaskSummaryQueryBuilder,org.kie.api.task.model.TaskSummary>, ProcessInstanceIdQueryBuilder<TaskSummaryQueryBuilder,org.kie.api.task.model.TaskSummary>

      public interface TaskSummaryQueryBuilder
      extends ProcessIdQueryBuilder<TaskSummaryQueryBuilder,org.kie.api.task.model.TaskSummary>

  An instance of this class is used to dynamically create a query to retrieve `TaskSummary` instances. One of the main motivations behind this class is that adding new methods to this method provides a (factorial) increase in ways to query for `TaskSummary` instances without unnecessarily cluttering up the interface, unlike the deprecated "get*" method signatures,

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TaskSummaryQueryBuilder.OrderBy` /** An enum used to specify the criteria for ordering the results of the query

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskSummaryQueryBuilder` | `activationTime(Date... activationTime)` Add one or more activation times as a criteria to the query
    `TaskSummaryQueryBuilder` | `activationTimeRange(Date activationTimeMin, Date activationTimeMax)` Specify an inclusive range of (task) activation-time dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `TaskSummaryQueryBuilder` | `actualOwner(String... actualOwnerUserId)` Add one or more (actual) task owner ids as a criteria to the query
    `TaskSummaryQueryBuilder` | `archived(boolean archived)` Add whether or not the task is archived as a criteria to the query
    `TaskSummaryQueryBuilder` | `ascending(TaskSummaryQueryBuilder.OrderBy orderBy)` Order the results in ascending order by the given parameter results are ordered by default by task id.
    `TaskSummaryQueryBuilder` | `businessAdmin(String... businessAdminId)` Add one or more business administrator (user) ids as a criteria to the query
    `TaskSummaryQueryBuilder` | `createdBy(String... createdById)` Add one or more initiator user ids as a criteria to the query The initiator is also the user who created the task.
    `TaskSummaryQueryBuilder` | `createdOn(Date... createdOnDate)` Add one or more creation dates as a criteria to the query
    `TaskSummaryQueryBuilder` | `createdOnRange(Date createdOnMin, Date createdOnMax)` Specify an inclusive range of (task) creation dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `TaskSummaryQueryBuilder` | `deploymentId(String... deploymentId)` Add one or more deployment ids as a criteria to the query
    `TaskSummaryQueryBuilder` | `descending(TaskSummaryQueryBuilder.OrderBy orderBy)` Order the results in descending order by the given parameter results are ordered by default by task id.
    `TaskSummaryQueryBuilder` | `description(String... description)` Add one or more descriptions as a criteria to the query
    `TaskSummaryQueryBuilder` | `expirationTime(Date... expirationTime)` Add one or more expiration times as a criteria to the query
    `TaskSummaryQueryBuilder` | `expirationTimeRange(Date expirationTimeMin, Date expirationTimeMax)` Specify an inclusive range of (task) expiration-time dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `TaskSummaryQueryBuilder` | `formName(String... formName)` Add one or more (task) form names as a criteria to the query
    `TaskSummaryQueryBuilder` | `name(String... name)` Add one or more (task) names as a criteria to the query
    `TaskSummaryQueryBuilder` | `potentialOwner(String... potentialOwnerId)` Add one or more potential owner ids as a criteria to the query
    `TaskSummaryQueryBuilder` | `priority(int... priority)` Add one or more priorities as a criteria to the query
    `TaskSummaryQueryBuilder` | `processSessionId(long... processSessionId)` Add one or more work item ids as a criteria to the query
    `TaskSummaryQueryBuilder` | `skippable(boolean skippable)` Add whether or not the task is skippable as a criteria to the query
    `TaskSummaryQueryBuilder` | `stakeHolder(String... stakeHolderId)` Add one or more stake holder (user) ids as a criteria to the query
    `TaskSummaryQueryBuilder` | `status(org.kie.api.task.model.Status... status)` Add one or more statuses as a criteria to the query
    `TaskSummaryQueryBuilder` | `subject(String... subject)` Add one or more subjects as a criteria to the query
    `TaskSummaryQueryBuilder` | `subTaskStrategy(SubTasksStrategy... subTasksStrategy)` Add one or more (task) sub-task-strategies as a criteria to the query
    `TaskSummaryQueryBuilder` | `taskId(long... taskId)` Add one or more task ids as a criteria to the query
    `TaskSummaryQueryBuilder` | `taskIdRange(Long taskIdMin, Long taskIdMax)` Specify an inclusive range of (task) ids to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `TaskSummaryQueryBuilder` | `taskParentId(long... taskParentId)` Add one or more (task) parent ids as a criteria to the query
    `TaskSummaryQueryBuilder` | `taskType(String... taskType)` Add one or more (task) types as a criteria to the query
    `TaskSummaryQueryBuilder` | `variableName(String... varName)` Add one or more `TaskVariable` names as a criteria to the query
    `TaskSummaryQueryBuilder` | `variableValue(String... varValue)` Add one or more `TaskVariable` values as a criteria to the query
    `TaskSummaryQueryBuilder` | `workItemId(long... workItemId)` Add one or more work item ids as a criteria to the query

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### activationTime

          TaskSummaryQueryBuilder activationTime(Date... activationTime)

      Add one or more activation times as a criteria to the query
      Parameters:
        `activationTime` - one or more `Date` values
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### activationTimeRange

          TaskSummaryQueryBuilder activationTimeRange(Date activationTimeMin,
                                                      Date activationTimeMax)

      Specify an inclusive range of (task) activation-time dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `activationTimeMin` - the minimal (lower) date to use in the range
        `activationTimeMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### actualOwner

          TaskSummaryQueryBuilder actualOwner(String... actualOwnerUserId)

      Add one or more (actual) task owner ids as a criteria to the query
      Parameters:
        `actualOwnerUserId` -
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### archived

          TaskSummaryQueryBuilder archived(boolean archived)

      Add whether or not the task is archived as a criteria to the query
      Parameters:
        `archived` - a boolean
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### createdBy

          TaskSummaryQueryBuilder createdBy(String... createdById)

      Add one or more initiator user ids as a criteria to the query The initiator is also the user who created the task.
      Parameters:
        `createdById` -
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### createdOn

          TaskSummaryQueryBuilder createdOn(Date... createdOnDate)

      Add one or more creation dates as a criteria to the query
      Parameters:
        `createdOnDate` - one or more `Date` values
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### createdOnRange

          TaskSummaryQueryBuilder createdOnRange(Date createdOnMin,
                                                 Date createdOnMax)

      Specify an inclusive range of (task) creation dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `createdOnMin` - the minimal (lower) date to use in the range
        `createdOnMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### deploymentId

          TaskSummaryQueryBuilder deploymentId(String... deploymentId)

      Add one or more deployment ids as a criteria to the query
      Parameters:
        `deploymentId` -
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### description

          TaskSummaryQueryBuilder description(String... description)

      Add one or more descriptions as a criteria to the query
      Parameters:
        `description` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### expirationTime

          TaskSummaryQueryBuilder expirationTime(Date... expirationTime)

      Add one or more expiration times as a criteria to the query
      Parameters:
        `expirationTime` - one or more `Date` values
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### expirationTimeRange

          TaskSummaryQueryBuilder expirationTimeRange(Date expirationTimeMin,
                                                      Date expirationTimeMax)

      Specify an inclusive range of (task) expiration-time dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `expirationTimeMin` - the minimal (lower) date to use in the range
        `expirationTimeMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### formName

          TaskSummaryQueryBuilder formName(String... formName)

      Add one or more (task) form names as a criteria to the query
      Parameters:
        `formName` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### name

          TaskSummaryQueryBuilder name(String... name)

      Add one or more (task) names as a criteria to the query
      Parameters:
        `name` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### processSessionId

          TaskSummaryQueryBuilder processSessionId(long... processSessionId)

      Add one or more work item ids as a criteria to the query
      Parameters:
        `processSessionId` - one or more longs
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### skippable

          TaskSummaryQueryBuilder skippable(boolean skippable)

      Add whether or not the task is skippable as a criteria to the query
      Parameters:
        `skippable` - a boolean
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### status

          TaskSummaryQueryBuilder status(org.kie.api.task.model.Status... status)

      Add one or more statuses as a criteria to the query
      Parameters:
        `status` -
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### subject

          TaskSummaryQueryBuilder subject(String... subject)

      Add one or more subjects as a criteria to the query
      Parameters:
        `subject` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### subTaskStrategy

          TaskSummaryQueryBuilder subTaskStrategy(SubTasksStrategy... subTasksStrategy)

      Add one or more (task) sub-task-strategies as a criteria to the query
      Parameters:
        `subTasksStrategy` - one or more `SubTasksStrategy` values
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### taskId

          TaskSummaryQueryBuilder taskId(long... taskId)

      Add one or more task ids as a criteria to the query
      Parameters:
        `taskId` -
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### taskIdRange

          TaskSummaryQueryBuilder taskIdRange(Long taskIdMin,
                                              Long taskIdMax)

      Specify an inclusive range of (task) ids to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `taskIdMin` - the minimal (lower) date to use in the range
        `taskIdMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### taskParentId

          TaskSummaryQueryBuilder taskParentId(long... taskParentId)

      Add one or more (task) parent ids as a criteria to the query
      Parameters:
        `taskParentId` - one or more longs
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### taskType

          TaskSummaryQueryBuilder taskType(String... taskType)

      Add one or more (task) types as a criteria to the query
      Parameters:
        `taskType` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### workItemId

          TaskSummaryQueryBuilder workItemId(long... workItemId)

      Add one or more work item ids as a criteria to the query
      Parameters:
        `workItemId` - one or more longs
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### priority

          TaskSummaryQueryBuilder priority(int... priority)

      Add one or more priorities as a criteria to the query
      Parameters:
        `priority` - one or more ints
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### businessAdmin

          TaskSummaryQueryBuilder businessAdmin(String... businessAdminId)

      Add one or more business administrator (user) ids as a criteria to the query
      Parameters:
        `businessAdminId` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### potentialOwner

          TaskSummaryQueryBuilder potentialOwner(String... potentialOwnerId)

      Add one or more potential owner ids as a criteria to the query
      Parameters:
        `potentialOwnerId` -
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### stakeHolder

          TaskSummaryQueryBuilder stakeHolder(String... stakeHolderId)

      Add one or more stake holder (user) ids as a criteria to the query
      Parameters:
        `stakeHolderId` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### variableName

          TaskSummaryQueryBuilder variableName(String... varName)

      Add one or more `TaskVariable` names as a criteria to the query
      Parameters:
        `varName` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### variableValue

          TaskSummaryQueryBuilder variableValue(String... varValue)

      Add one or more `TaskVariable` values as a criteria to the query
      Parameters:
        `varValue` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### ascending

          TaskSummaryQueryBuilder ascending(TaskSummaryQueryBuilder.OrderBy orderBy)

      Order the results in ascending order by the given parameter results are ordered by default by task id.
      Parameters:
        `orderBy` -
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### descending

          TaskSummaryQueryBuilder descending(TaskSummaryQueryBuilder.OrderBy orderBy)

      Order the results in descending order by the given parameter results are ordered by default by task id.
      Parameters:
        `orderBy` -
      Returns:
        the current `TaskSummaryQueryBuilder` instance

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.